%global cpan_version 2.003002
Name:        perl-Math-BigInt
Epoch:       1
# Keep 4-digit version to compete with perl.spec
Version:     %(echo %{cpan_version} | sed 's/\(\.....\)/\1./')
Release:     1
Summary:     Arbitrary size integer/float math package
License:     GPL+ or Artistic
URL:         https://metacpan.org/release/Math-BigInt
Source0:     https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-%{cpan_version}.tar.gz
BuildArch:   noarch

BuildRequires:perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::More) >= 0.94 perl(Scalar::Util)

Requires:    perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))
Requires:    perl(Math::Complex) >= 1.39 perl(Carp) >= 1.22
Conflicts:   perl < 4:5.22.0-347

Provides:    perl-Math-BigRat =  %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:   perl-Math-BigRat < 0.2624-2

%description
Math::BigInt provides support for arbitrary precision integers. Overloading is also
provided for Perl operators.

%package       help
Summary:       Help for %{name}

Obsoletes:     perl-Math-BigRat-help < 0.2624-2

%description   help
Tests for %{name}

%package       tests
Summary:       Tests for %{name}
Requires:      %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:      perl-Test-Harness
Conflicts:     perl-Math-BigInt < 1:2.0030.02

%description   tests
Tests from %{name}. Execute them with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -n Math-BigInt-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

# Install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/t/00sig.t
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license LICENSE
%doc BUGS CREDITS README
%{perl_vendorlib}/Math*

%files help
%defattr(-,root,root)
%doc CHANGES GOALS HISTORY TODO NEW examples
%{_mandir}/man3/Math::Big*

%files tests
%{_libexecdir}/%{name}

%changelog
* Thu Jan 18 2024 wangjiang <wangjiang37@h-partners.com> - 1:2.0030.02-1
- upgrade version to 2.003002

* Wed Jul 26 2023 wangjiang <wangjiang37@h-partners.com> - 1:1.9998.39-1
- upgrade version to 1.999839

* Tue Oct 25 2022 wangjiang <wangjiang37@h-partners.com> - 1:1.9998.27-2
- Rebuild for next release

* Fri Dec  3 2021 guozhaorui <guozhaorui1@huawei.com> - 1:1.9998.27-1
- update version to 1.999827

* Sat Jul 25 2020 zhanzhimin <zhanzhimin@huawei.com> - 1:1.9998.18-1
- Bump to version 1.999818

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:1.9998.13-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: change the directory of exmaples

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:1.9998.13-4
- Package init
